
Foreman - Refactor #32345

Provide non-DB model methods and deprecate DB model methods in FactParser

04/19/2021 10:45 AM - Ewoud Kohl van Wijngaarden

Status: New   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As a preparation for #32344, there should be an alternative for DB model methods (Architecture, Domain, Environment & Model)

while also deprecating the DB model methods.

Related issues:

Related to Foreman - Refactor #27906: Use modern Facter 3 facts Closed

Blocks Foreman - Refactor #32344: Remove DB model usage from fact parsers New

History

#1 - 04/19/2021 10:46 AM - Ewoud Kohl van Wijngaarden

- Blocks Refactor #32344: Remove DB model usage from fact parsers added

#2 - 04/19/2021 10:51 AM - Ewoud Kohl van Wijngaarden

- Related to Refactor #27906: Use modern Facter 3 facts added

#3 - 04/19/2021 10:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8451 added

#4 - 04/26/2021 03:33 PM - Ewoud Kohl van Wijngaarden

- Target version deleted (2.5.0)

#5 - 09/01/2021 01:23 AM - The Foreman Bot

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/8451)
